Skip to main content
PATCH
Update future Strategy configuration
CLI:

Overview

Update future Strategy configuration This page documents patch /api/strategies/{id}. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.

AI agent notes

  • Confirm the operation matches the user’s intent before calling it.
  • For write operations, confirm the user intends to change state.
  • Surface validation, permission, and not-found errors instead of retrying unchanged.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
title
string
Required string length: 1 - 180
description
string
Maximum string length: 500
intent
string
Minimum string length: 1
sourcePlan
object
scheduleEnabled
boolean

Response

Updated Strategy.

id
string<uuid>
required
title
string
required
description
string
required
kind
enum<string>
required
Available options:
recurring,
static
scheduleEnabled
boolean
required
definitionHash
string | null
required
Required string length: 64
intent
string
required
sellerContext
string
required
sourcePlans
object[]
required
details
object
required
lastRunId
string<uuid> | null
required
outboundCampaignId
string<uuid> | null
required
leadCount
integer
required
Required range: 0 <= x <= 9007199254740991
contactedCount
integer
required
Required range: 0 <= x <= 9007199254740991
nextRunAt
string | null
required
createdAt
string
required
updatedAt
string
required